searchNodes=[{"ref":"Ecto.Preloader.html","title":"Ecto.Preloader","type":"module","doc":"Ecto.Preloader is a module for preloading associations using joins. By default, Ecto preloads associations using a separate query for each association, which can degrade performance. You could make it run faster by using a combination of join/preload, but that requires a bit of boilerplate (see example below). With Ecto.Preloader, you can accomplish this with just one line of code. Example using just Ecto It requires calling Query.join/4, Query.assoc/3 and Query.preload/2 import Ecto.Query Invoice |&gt; join(:left, [i], assoc(i, :customer), as: :customer) |&gt; join(:left, [i], assoc(i, :lines), as: :lines) |&gt; preload([lines: l, customers: c], lines: l, customer: c) |&gt; Repo.all() Example using Ecto.Preloader Just one method call: import Ecto.Query import Ecto.Preloader Invoice |&gt; preload_join(:customer) |&gt; preload_join(:lines) |&gt; Repo.all()"},{"ref":"Ecto.Preloader.html#preload_join/2","title":"Ecto.Preloader.preload_join/2","type":"macro","doc":""},{"ref":"readme.html","title":"Ecto.Preloader","type":"extras","doc":"Ecto.Preloader Preload your associations efficiently with joins. You can do this with Ecto alone, it just requires more code. This package makes it a one liner. Full documentation: https://hexdocs.pm/ecto_preloader."},{"ref":"readme.html#example-usage","title":"Ecto.Preloader - Example usage:","type":"extras","doc":"import Ecto.Preloader Invoice |&gt; preload_join(:customer) |&gt; preload_join(:lines) |&gt; Repo.all() Example using Ecto directly: Without Ecto.Preloader it gets a bit repetitive: Invoice |&gt; join(:left, [i], assoc(i, :customer), as: :customer) |&gt; join(:left, [i], assoc(i, :lines), as: :lines) |&gt; preload([lines: l, customers: c], lines: l, customer: c) |&gt; Repo.all()"},{"ref":"readme.html#installation","title":"Ecto.Preloader - Installation","type":"extras","doc":"The package can be installed by adding ecto_preloader to your list of dependencies in mix.exs: def deps do [ {:ecto_preloader, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#license","title":"Ecto.Preloader - License","type":"extras","doc":"WTFPL"}]